import { ComponentBase } from '@syncfusion/ej2-vue-base';
export declare const properties: string[];
export declare const modelProps: string[];
/**
 * `ejs-treegrid` represents the VueJS TreeGrid Component.
 * ```vue
 * <ejs-treegrid :dataSource='data' allowPaging='true' allowSorting='true'></ejs-treegrid>
 * ```
 */
export declare class TreeGridComponent extends ComponentBase {
    ej2Instances: any;
    propKeys: string[];
    models: string[];
    hasChildDirective: boolean;
    protected hasInjectedModules: boolean;
    tagMapper: {
        [key: string]: Object;
    };
    tagNameMapper: Object;
    constructor();
    trigger(eventName: string, eventProp: {
        [key: string]: Object;
    }): void;
    setProperties(prop: any, muteOnChange: boolean): void;
    render(createElement: any): any;
    addRecord(data?: Object, index?: number): void;
    autoFitColumns(fieldNames?: string | string[]): void;
    clearFiltering(): void;
    clearSelection(): void;
    clearSorting(): void;
    closeEdit(): void;
    collapseAll(): void;
    collapseAtLevel(level: number): void;
    collapseRow(row: Object, record?: Object): void;
    csvExport(excelExportProperties?: Object, isMultipleExport?: boolean, workbook?: any, isBlob?: boolean): Object;
    dataBind(): void;
    deleteRecord(fieldName?: string, data?: Object): void;
    deleteRow(tr: Object): void;
    endEdit(): void;
    excelExport(excelExportProperties?: Object, isMultipleExport?: boolean, workbook?: any, isBlob?: boolean): Object;
    expandAll(): void;
    expandAtLevel(level: number): void;
    expandRow(row: Object, record?: Object): void;
    filterByColumn(fieldName: string, filterOperator: string, filterValue: string | number | Object | boolean, predicate?: string, matchCase?: boolean, ignoreAccent?: boolean, actualFilterValue?: string, actualOperator?: string): void;
    getCellFromIndex(rowIndex: number, columnIndex: number): Object;
    getColumnByField(field: string): Object;
    getColumnByUid(uid: string): Object;
    getColumnFieldNames(): undefined;
    getColumnHeaderByField(field: string): Object;
    getColumnHeaderByIndex(index: number): Object;
    getColumnHeaderByUid(uid: string): Object;
    getColumnIndexByField(field: string): number;
    getColumnIndexByUid(uid: string): number;
    getColumns(isRefresh?: boolean): undefined;
    getContent(): Object;
    getContentTable(): Object;
    getDataModule(): undefined;
    getDataRows(): undefined;
    getFooterContent(): Object;
    getFooterContentTable(): Object;
    getHeaderContent(): Object;
    getHeaderTable(): Object;
    getPager(): Object;
    getPrimaryKeyFieldNames(): undefined;
    getRowByIndex(index: number): Object;
    getRowInfo(target: Object | Object): Object;
    getRows(): undefined;
    getSelectedRecords(): undefined;
    getSelectedRowCellIndexes(): undefined;
    getSelectedRowIndexes(): undefined;
    getSelectedRows(): undefined;
    getUidByColumnField(field: string): string;
    getVisibleColumns(): undefined;
    goToPage(pageNo: number): void;
    hideColumns(keys: string | string[], hideBy?: string): void;
    hideSpinner(): void;
    pdfExport(pdfExportProperties?: Object, isMultipleExport?: boolean, pdfDoc?: Object, isBlob?: boolean): Object;
    print(): void;
    refresh(): void;
    refreshColumns(): void;
    refreshHeader(): void;
    reorderColumns(fromFName: string, toFName: string): void;
    search(searchString: string): void;
    selectCell(cellIndex: Object, isToggle?: boolean): void;
    selectRow(index: number, isToggle?: boolean): void;
    selectRows(rowIndexes: number[]): void;
    setCellValue(key: string | number, field: string, value: string | number | boolean | Object): void;
    setRowData(key: string | number, rowData?: Object): void;
    showColumns(keys: string | string[], showBy?: string): void;
    showSpinner(): void;
    sortByColumn(columnName: string, direction: Object, isMultiSort?: boolean): void;
    startEdit(): void;
}
export declare const TreeGridPlugin: {
    name: string;
    install(Vue: any): void;
};
